Update of quota not working correctly

Bug #1479178 reported by Robert Lyon on 2015-07-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
1.10
Medium
Unassigned
1.9
Medium
Unassigned
15.04
Medium
Unassigned
15.10
Undecided
Unassigned

Bug Description

The quota block is not updating for user or for group

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5018

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/5019

Robert Lyon (robertl-9) wrote :

The patch for 15.10 has more changes in it due to js / layout changes

but all patches have the fix for the group quota display not updating via js on file upload

summary: - Update of quota not working in 15.10
+ Update of quota not working correctly

Reviewed: https://reviews.mahara.org/5018
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/7981dead12e0da070826e01baa09ddd5fa6283a1
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 7981dead12e0da070826e01baa09ddd5fa6283a1
Author: Robert Lyon <email address hidden>
Date: Wed Jul 29 14:01:12 2015 +1200

Fix quota update on group file upload (Bug #1479178)

There was a problem with group update where the group quota data was not
getting updated when uploading a file due to caching.

Change-Id: I96ee13b39d815c126f3ff1689f413eb20b0f1c76
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5017
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/68b62299263004037026d4ebbd966fd316b48509
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 68b62299263004037026d4ebbd966fd316b48509
Author: Robert Lyon <email address hidden>
Date: Wed Jul 29 14:01:12 2015 +1200

Fix quota update on group file upload (Bug #1479178)

There was a problem with group update where the group quota data was not
getting updated when uploading a file due to caching.

Change-Id: I96ee13b39d815c126f3ff1689f413eb20b0f1c76
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5019
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/bee662d9210a306fcce66a41e1a46a9f614be21c
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit bee662d9210a306fcce66a41e1a46a9f614be21c
Author: Robert Lyon <email address hidden>
Date: Wed Jul 29 14:01:12 2015 +1200

Fix quota update on group file upload (Bug #1479178)

There was a problem with group update where the group quota data was not
getting updated when uploading a file due to caching.

Change-Id: I96ee13b39d815c126f3ff1689f413eb20b0f1c76
Signed-off-by: Robert Lyon <email address hidden>

I changed the priority to "High" as the quota block is the only indication for people to know how much space they have left.

Changed in mahara:
importance: Medium → High
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5015
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/ac8e1ad5ccd19589c555d07128863b1aa027b153
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ac8e1ad5ccd19589c555d07128863b1aa027b153
Author: Sian <email address hidden>
Date: Tue Jul 28 17:42:09 2015 +1200

Fix quotaUpdate function in mahara.js (Bug #1479178)

The change to layout stopped the user quota updating when uploading
files.

There was a problem also with group update where the group quota data
was not getting updated when uploading a file due to caching.

Change-Id: Ibef0e8c2b952ff6c5c40834a55288c9a36323e57

Robert Lyon (robertl-9) on 2015-08-11
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers